Bug 196938 - [exp-run] update automake, gettext and libtool
Summary: [exp-run] update automake, gettext and libtool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-20 16:22 UTC by Tijl Coosemans
Modified: 2015-01-23 18:58 UTC (History)
2 users (show)

See Also:
tijl: exp-run?


Attachments
patch (18.02 KB, patch)
2015-01-20 16:22 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (18.07 KB, patch)
2015-01-20 19:58 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (21.15 KB, patch)
2015-01-21 16:43 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (21.18 KB, patch)
2015-01-21 18:21 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2015-01-20 16:22:07 UTC
Created attachment 151908 [details]
patch

- Update devel/automake to 1.15
- Update devel/gettext to 0.19.4
- Update devel/libtool and devel/libltdl to 2.4.5
- This version of libtool has been fixed to pass -fstack-protector to the compiler during linking.  Add the same fix to USES=libtool.  This should improve SSP support on FreeBSD/i386 8 and 9.
Comment 1 Bugzilla Automation freebsd_committer 2015-01-20 16:22:07 UTC
Auto-assigned to maintainer autotools@FreeBSD.org
Comment 2 Antoine Brodin freebsd_committer 2015-01-20 16:28:48 UTC
Take for exp-run
Comment 3 Antoine Brodin freebsd_committer 2015-01-20 18:24:58 UTC
automake fails to configure:

checking for tex... no
checking for yacc... yacc
checking for lex... lex
checking whether autoconf is installed... no
configure: error: Autoconf 2.65 or better is required.
    Please make sure it is installed and in your PATH.
===>  Script "configure" failed unexpectedly.
Comment 4 Tijl Coosemans freebsd_committer 2015-01-20 19:58:38 UTC
Created attachment 151923 [details]
patch2

- Add build dependency on autoconf
Comment 5 Antoine Brodin freebsd_committer 2015-01-21 16:18:08 UTC
Exp-run results on 10.1 amd64:

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR196938&build=2015-01-21_14h41m56s

2 new failures (and 8 new skipped due to libmemcached):

+ {"origin"=>"databases/libmemcached", "pkgname"=>"libmemcached-1.0.18", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"security/sssd", "pkgname"=>"sssd-1.9.6_9", "phase"=>"configure", "errortype"=>"configure_error"}

failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR196938/2015-01-21_14h41m56s/logs/errors/libmemcached-1.0.18.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR196938/2015-01-21_14h41m56s/logs/errors/sssd-1.9.6_9.log
Comment 6 Tijl Coosemans freebsd_committer 2015-01-21 16:43:06 UTC
Created attachment 151978 [details]
patch3

databases/libmemcached, security/sssd: patch configure.ac so AC_CONFIG_AUX_DIR appears earlier.

For databases/libmemcached changing configure.ac causes manpages to be regenerated which requires extra dependencies so patch a makefile to prevent that.
Comment 7 Antoine Brodin freebsd_committer 2015-01-21 17:42:23 UTC
looks good:  http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR196938&build=2015-01-21_16h51m00s

I'll move to another arch
Comment 9 Tijl Coosemans freebsd_committer 2015-01-21 18:21:20 UTC
Created attachment 151982 [details]
patch4

Touch libtool manpage so it isn't rebuilt.  (It has the same timestamp as the file it depends on.)
Comment 10 Antoine Brodin freebsd_committer 2015-01-22 14:50:31 UTC
Exp run results on 9.3 amd64:

http://package18.nyi.freebsd.org/build.html?mastername=93amd64-default-PR196938&build=2015-01-21_18h23m01s

0 new failure

I am continuing on i386
Comment 11 lukas.slebodnik 2015-01-23 17:06:27 UTC
(In reply to Tijl Coosemans from comment #9)
When do you plan to push latest patch.
Because it contains changes in sssd (patch is correct) and I would like to finally update port. I don't want to create conflicts.
Comment 12 Antoine Brodin freebsd_committer 2015-01-23 18:21:38 UTC
Looks good,

exp-run results on 10.1 i386:  0 new failure
http://pb2.nyi.freebsd.org/build.html?mastername=101i386-default-PR196938&build=2015-01-21_17h59m54s

exp-run results on 9.3 i386:  new failures are java memory errors happening randomly in i386 jails on amd64 (don't know if they happen on native i386 as well)
http://pb2.nyi.freebsd.org/build.html?mastername=93i386-default-PR196938&build=2015-01-23_14h17m11s

mini exp-run on 8.4:
http://pb2.nyi.freebsd.org/build.html?mastername=84i386-default-PR196938&build=2015-01-23_16h22m24s
http://pb2.nyi.freebsd.org/build.html?mastername=84amd64-default-PR196938&build=2015-01-23_16h36m31s
Comment 13 commit-hook freebsd_committer 2015-01-23 18:54:59 UTC
A commit references this bug:

Author: tijl
Date: Fri Jan 23 18:54:09 UTC 2015
New revision: 377757
URL: https://svnweb.freebsd.org/changeset/ports/377757

Log:
  - Update devel/automake to 1.15
  - Update devel/gettext to 0.19.4
  - Update devel/libtool and devel/libltdl to 2.4.5
  - This version of libtool has been fixed to pass -fstack-protector to the
    compiler during linking.  Add the same fix to USES=libtool.  This should
    improve SSP support on FreeBSD/i386 8 and 9.
  - databases/libmemcached, security/sssd: patch configure.ac so
    AC_CONFIG_AUX_DIR appears earlier.
    For databases/libmemcached changing configure.ac causes manpages to be
    regenerated which requires extra dependencies so patch a makefile to
    prevent that.
  - devel/xfce4-dev-tools: only depend on recent versions of autoconf and
    automake

  PR:		196938
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/autoreconf.mk
  head/Mk/Uses/libtool.mk
  head/Mk/bsd.autotools.mk
  head/databases/libmemcached/Makefile
  head/databases/libmemcached/files/patch-configure.ac
  head/devel/automake/Makefile
  head/devel/automake/distinfo
  head/devel/automake/pkg-descr
  head/devel/automake/pkg-plist
  head/devel/autotools/Makefile
  head/devel/gettext/Makefile.common
  head/devel/gettext/distinfo
  head/devel/gettext-runtime/pkg-plist
  head/devel/gettext-tools/pkg-plist
  head/devel/git-merge-changelog/Makefile
  head/devel/libltdl/pkg-descr
  head/devel/libtool/Makefile
  head/devel/libtool/Makefile.common
  head/devel/libtool/distinfo
  head/devel/libtool/files/
  head/devel/libtool/pkg-descr
  head/devel/libtool/pkg-plist
  head/devel/xfce4-dev-tools/Makefile
  head/security/sssd/files/patch-configure.ac